

//defines
#include <avr/io.h>
#include <avr/wdt.h>

//----------------------------------------
void WdtSet(char presc)
{
	wdt_reset();		
	WDTCSR |= (1<<WDCE | 1<<WDE);
	WDTCSR = (1<<WDE | presc); 
}


//----------------------------------------
void WdtReset(void)
{
	wdt_reset();		
}

//----------------------------------------
void WdtStop(void)
{
	wdt_reset();		
	WDTCSR |= (1<<WDCE | 1<<WDE);
	WDTCSR = 0; 
}
